import { IMAGE_ASSET_PROJECTION } from "./projections.js";
import { useSanityQuery } from "#imports";
export const resolveImageAssetById = async (id) => {
  return (await useSanityQuery(
    `*[_type == "sanity.imageAsset" && _id == $assetId][0] ${IMAGE_ASSET_PROJECTION}`,
    { assetId: id }
  )).data;
};
